import { Model } from "../model/AbstractModel";

import { View } from "../view/AbstractView";
// simple restrictions that MVC impose: The Control has a reference to the View and Model + the View has a reference to the Model and the Controller.It also does not have any Observer implementation in the Model, so that the View can update based on it.

// export abstract class Controller {
//     protected  _model: Model | undefined;
//     protected _view: View | undefined;
// }

export interface Controller {
    model: Model,
    view: View
}